%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		seahorse
Summary:	GNOME frontend to GnuPG
Version:	3.20.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Requires(post): update-alternatives
Requires(postun): update-alternatives
#-----------------------------------------
BuildRequires: gnupg2
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: automake
BuildRequires: imagemagick
BuildRequires: libxslt-proc
BuildRequires: desktop-file-utils
BuildRequires: vala
BuildRequires: openssh-clients
BuildRequires: lib64gnome-keyring-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64avahi-client-devel
BuildRequires: lib64avahi-common-devel
BuildRequires: lib64avahi-glib-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gcr-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64gpgme-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64ldap2.4_2-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64secret-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64x11-devel
BuildRequires: p11-kit-devel
#-----------------------------------------
Obsoletes:	gnome-keyring-manager
Provides:	gnome-keyring-manager
#-----------------------------------------
Requires:	gcr
Requires:	gnupg2

%description
Seahorse is a GNOME frontend for the GNU Privacy Guard ecryption tool. It can
be used for file encryption and decryption and for digitally signing files and
for verifying those signatures. Key management options are also included.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot/%{_libexecdir}/openssh
# Menu
desktop-file-install --vendor="" \
	--remove-category="Advanced" \
	--remove-category="Application" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%{find_lang} %{name} --all-name
 
%post
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_libdir}/%{name}/%{name}-ssh-askpass 15
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_libdir}/%{name}/%{name}-ssh-askpass 15
                                                                             
%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_libdir}/%{name}/%{name}-ssh-askpass
update-alternatives --remove bssh-askpass %{_libdir}/%{name}/%{name}-ssh-askpass

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/seahorse
%{_mandir}/man1/*
%{_libdir}/%{name}/
%{_datadir}/applications/seahorse.desktop
%{_datadir}/seahorse/
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/help
%{_libexecdir}/openssh

%changelog
* Thu Apr 06 2017 bb2 <bb2> - 3.20.0-1pclos2017
- add to repo for gnome keyring management
